Bug 1021121 - Rename installer jar file
Rename installer jar file
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Thomas Hauser
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 11:43 EDT by Catherine Robson
Modified: 2015-08-02 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-10-19 11:43:23 EDT
Description of problem:
The installer jar file is currently named jboss-eap-6.0.0.fsw.ci-installer.jar.  This may lead to confusion as it is more eap centric than fuse service works centric.


Suggested Resolution:
Rename file to something more fuse service works oriented such as:
fsw-6.0.0-eap6-installer.jar


As an example of another product's naming schema, for BPM Suite the zip is now called:  bpms-6.0.0-redhat-1-bpms-eap6
Comment 2 Thomas Hauser 2013-10-31 11:38:13 EDT
The installer build currently produces a jars named
jboss-fsw-<version>-installer.jar

So for ER6, for example, this jar would be named jboss-fsw-6.0.0.ER6-installer.jar.

Let me know if further changes are needed.

Note You need to log in before you can comment on or make changes to this bug.